.layout-header {
  padding: 20px;
  border-bottom: 1px solid #EBEDF2;

  .mail-counting {
    div {
      margin-bottom: 10px;

      &:last-of-type {
        margin-bottom: 0;
      }
    }
  }

  .header-title {
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
  }

  .header-desc {
    font-weight: 600;
    font-size: 20px;
    line-height: 21px;
  }
}

.layout-body {
  padding: 20px;
  overflow-y: auto;

  .dragable-item {
    .body-item {
      margin-bottom: 10px;

      &.email-details {
        .item-right {
          .email-item {
            .email-hover {
              display: none;
            }

            .email-text {
              max-width: 100%;
              border: 1px solid #D9DDE8;
            }
          }
        }
      }

      &.email-disabled {
        .item-left {
          opacity: .4;
        }

        .item-right {
          .email-item {
            background: #FBFBFD;

            .email-hover {
              border-color: #F0F1F6;
            }

            &:hover {
              .email-hover {
                background: transparent;
                border-color: #F0F1F6;

                i {
                  display: none;
                }
              }

              .email-text {
                i {
                  display: none;
                }
              }
            }

            .email-text {
              border: 1px solid #F0F1F6;
              border-left: none
            }
          }
        }

        &.email-details {
          .item-right {
            .item-item {
              .email-text {
                border: 1px solid #F0F1F6;
              }
            }
          }
        }
      }

      .item-left {
        display: flex;
        flex: 0 0 90px;
        margin-bottom: 10px;

        .item-send-time {
          font-weight: 600;
          font-size: 14px;
          line-height: 17px;
        }

        .item-send-date {
          font-weight: 500;
          font-size: 14px;
          line-height: 17px;
          color: #868EAA;
        }
      }

      .item-right {
        flex: 1;
        max-width: 100%;
        overflow: hidden;

        &.view-only {
          .email-item {

            &:hover {
              .email-hover {
                border-color: #D9DDE8;
                background: inherit;
                cursor: auto;

                i {
                  display: none
                }
              }


              .email-text {
                i {
                  display: none
                }
              }
            }
          }
        }

        .email-item {
          background: #F4F5F9;

          &:hover {
            .email-hover {
              border-color: #444F78;
              background: #444F78;

              i {
                display: inline
              }
            }

            .email-text {
              i {
                display: inline
              }
            }
          }

          .email-hover {
            display: flex;
            flex: 0 0 40px;
            border: 1px solid #D9DDE8;
            border-radius: 4px 0px 0px 4px;
            cursor: move;

            i {
              font-size: 16px;
              color: #fff;
              display: none
            }
          }

          .email-text {
            max-width: calc(100% - 40px);
            flex: 1;
            border: 1px solid #D9DDE8;
            border-left: 0;
            border-radius: 0 4px 4px 0;
            padding: 12px 0;
            padding-right: 14px;

            .email-code {
              font-size: 14px;
              line-height: 21px;
              color: #868EAA;
              padding: 0 20px;
            }

            .email-title {
              max-width: calc(100% - 150px);
              font-weight: 500;
              font-size: 14px;
              line-height: 17px;
            }

            i {
              font-size: 16px;
              color: #B82E45;
              display: none;
              cursor: pointer;
            }
          }
        }
      }
    }
  }

  .email-statistic {
    margin-bottom: 20px;
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;

    .status-success {
      color: #69BE31;
    }

    i {
      margin-right: 5px
    }
  }
}

.mr-30 {
  margin-right: 30px
}

.mb-20 {
  margin-bottom: 20px;
}

.layout-footer {
  border-top: 1px solid #EBEDF2;
  padding: 10px 0;
  color: #2577C9;
  cursor: pointer;

  i {
    margin-right: 5px
  }
}

@media (min-width: 768px) {
  .layout-header {
    .mail-counting {
      display: flex
    }
  }

  .layout-body {
    max-height: calc(100vh - 456px);

    &.layout-details {
      max-height: calc(100vh - 366px)
    }

    .dragable-item {
      .body-item {
        display: flex;

        .item-left {
          display: block;
          margin-right: 30px;
          margin-bottom: 0;

          .item-send-date {
            margin-top: 4px;
          }
        }
      }
    }

    .email-statistic {
      margin-left: 120px;
    }
  }
}